\LoadClass{article}
\RequirePackage{keyval}

\define@key{head}{title}{\def\head@title{#1}}
\define@key{head}{student}{\def\head@student{#1}}
\define@key{head}{period}{\def\head@period{#1}}
\define@key{head}{supervisor}{\def\head@supervisor{#1}}

\newenvironment{jobreport}[1][]
{\setkeys{head}{#1}\begin{center}\Large
\flushleft Job Title: \head@title\\
Student: \head@student\\
Period: \head@period\\
Supervisor: \head@supervisor\\[1ex]
\large\textbf{General Description}: }
{\end{center}}

\define@key{report}{month}{\def\report@month{#1}}
\define@key{report}{hours}{\def\report@hours{#1}}
\newenvironment{report}[1][]
{
  \setkeys{report}{#1}
  \section*{\report@month\hfill\normalfont{\report@hours} hrs}
}{
\medskip\hrule\medskip
}

\define@key{task}{title}{\def\task@title{#1}}
\define@key{task}{hours}{\def\task@hours{#1}}
\newenvironment{task}[1][]
{
  \setkeys{task}{#1}
  \subsection*{Task: \task@title\hfill\normalfont{\task@hours} hrs}
}{
}